Project

General

Profile

Feature #10557

Add Zabbix 5.0 LTS (agent and proxy) packages

Added by Pim Janssen 2 months ago. Updated about 1 month ago.

Status:
Resolved
Priority:
Normal
Category:
Zabbix
Target version:
-
Start date:
05/14/2020
Due date:
% Done:

100%

Estimated time:

Description

New release from zabbix. Please add this new version.
https://www.zabbix.com/rn/rn5.0.0

History

#1 Updated by Viktor Gurov 2 months ago

The latest FreeBSD ports version is 4.4.7:
http://pkg.freebsd.org/freebsd:12:x86:64/latest/All/zabbix44-agent-4.4.7.txz

waiting for ports update

#3 Updated by Pim Janssen about 1 month ago

The above issue has now status fixed.

#4 Updated by Danilo Baio about 1 month ago

I'll open a PR later today for this...

#6 Updated by Jim Pingle about 1 month ago

  • Status changed from New to Pull Request Review

#7 Updated by Renato Botelho about 1 month ago

  • Status changed from Pull Request Review to Feedback
  • Assignee set to Renato Botelho
  • % Done changed from 0 to 100

PR has been merged. Thanks!

#8 Updated by Pim Janssen about 1 month ago

Thanks, i just upgraded my zabbix-proxy on pfsense.
Now i am getting the following error:
`connection to database '/var/db/zabbix-proxy/proxy.db' failed: [2002] Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2)`

Is it possible the proxy is based on the mysql version instead of the sqlite3? I don't know how/where i can check this.

Or should i create a new ticket?

#9 Updated by Danilo Baio about 1 month ago

Pim Janssen wrote:

Thanks, i just upgraded my zabbix-proxy on pfsense.
Now i am getting the following error:
`connection to database '/var/db/zabbix-proxy/proxy.db' failed: [2002] Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2)`

Is it possible the proxy is based on the mysql version instead of the sqlite3? I don't know how/where i can check this.

Yes, it's missing zabbix config options for the 2.4.5 packages:
https://github.com/pfsense/FreeBSD-ports/pull/876#issuecomment-642677437

#10 Updated by Danilo Baio about 1 month ago

Danilo Baio wrote:

Yes, it's missing zabbix config options for the 2.4.5 packages:
https://github.com/pfsense/FreeBSD-ports/pull/876#issuecomment-642677437

It's ok right now:

[2.4.5-RELEASE][admin@pfSense.localdomain]/root: pkg info zabbix5-proxy-5.0.1
zabbix5-proxy-5.0.1
Name : zabbix5-proxy
Version : 5.0.1
Installed on : Thu Jun 11 17:52:01 2020 UTC
Origin : net-mgmt/zabbix5-proxy
Architecture : FreeBSD:11:amd64
Prefix : /usr/local
Categories : net-mgmt
Licenses : GPLv2+
Maintainer : pg@pakhom.spb.ru
WWW : https://www.zabbix.com/
Comment : Enterprise-class open source distributed monitoring (proxy) LTS
Options :
CURL : on
FPING : on
GNUTLS : off
IPMI : on
IPV6 : on
LDAP : off
LIBXML2 : on
MYSQL : off
NMAP : off
OPENSSL : on
ORACLE : off
PGSQL : off
SQLITE : on
SSH : on
UNIXODBC : on

#11 Updated by Pim Janssen about 1 month ago

Seems to work for me

#12 Updated by Renato Botelho about 1 month ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF